Bug 203359 - Add cmdline for early setting of processor affinity
Add cmdline for early setting of processor affinity
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On: 203358
Blocks: 203429
  Show dependency treegraph
 
Reported: 2006-08-21 10:29 EDT by Rod Nayfield
Modified: 2015-12-21 21:26 EST (History)
2 users (show)

See Also:
Fixed In Version: 8.40-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-03 09:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to rc.sysinit (518 bytes, patch)
2006-08-21 10:29 EDT, Rod Nayfield
no flags Details | Diff

  None (edit)
Description Rod Nayfield 2006-08-21 10:29:49 EDT
This will allow default_affinity= to be set to a bitmask (lowest bit = cpu 0,
and so on).

Examples:
default_affinity=0x1  (cpu 0 only)
default_affinity=0x3  (cpu 0 and 1 only)
default_affinity=0x00002 (cpu 1 only)

note that taskset ignores bits not corresponding to logical CPUs.  Thus
0x00000001 is valid even on a 2-way system.

As discussed previously.  Patch attached.
Comment 1 Rod Nayfield 2006-08-21 10:29:49 EDT
Created attachment 134564 [details]
Patch to rc.sysinit

Note You need to log in before you can comment on or make changes to this bug.